Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.filter
Class MapFilter

    java.lang.Object
      org.apache.logging.log4j.core.AbstractLifeCycle
          org.apache.logging.log4j.core.filter.AbstractFilter
              org.apache.logging.log4j.core.filter.MapFilter

All Implemented Interfaces:
  Serializable, Filter, LifeCycle

Direct Known Subclasses:
  StructuredDataFilter, ThreadContextMapFilter

    @Plugin(name="MapFilter",
            category="Core",
            elementType="filter",
            printObject=true)
    public class MapFilter

extends AbstractFilter

A Filter that operates on a Map.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.Filter
`Filter.Result`

Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle
`LifeCycle.State`

Field Summary

Fields inherited from class org.apache.logging.log4j.core.filter.AbstractFilter
`onMatch, onMismatch`

Fields inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.Filter
`ELEMENT_TYPE`

Constructor Summary
`protected` | `MapFilter(Map<String,List<String>> map, boolean oper, Filter.Result onMatch, Filter.Result onMismatch)`

Method Summary
`static MapFilter` | `createFilter(KeyValuePair[] pairs, String oper, Filter.Result match, Filter.Result mismatch)`
`Filter.Result` | `filter(LogEvent event)` Context Filter method.
`Filter.Result` | `filter(Logger logger, org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker, org.apache.logging.log4j.message.Message msg, Throwable t)` Appender Filter method.
`protected boolean` | `filter(Map<String,String> data)`
`protected Map<String,List<String>>` | `getMap()`
`protected boolean` | `isAnd()`
`String` | `toString()`

Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilter
`equalsImpl, filter, filter, getOnMatch, getOnMismatch, hashCodeImpl`

Methods inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`getState, isInitialized, isStarted, isStarting, isStopped, isStopping, setStarted, setStarting, setState, setStopped, setStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.LifeCycle
`getState, isStarted, isStopped, start, stop`

Constructor Detail

### MapFilter

    protected MapFilter(Map<String,List<String>> map,
                        boolean oper,
                        Filter.Result onMatch,
                        Filter.Result onMismatch)

Method Detail

### filter

    public Filter.Result filter(Logger logger,
                                org.apache.logging.log4j.Level level,
                                org.apache.logging.log4j.Marker marker,
                                org.apache.logging.log4j.message.Message msg,
                                Throwable t)

  Description copied from class: `AbstractFilter`
  Appender Filter method. The default returns NEUTRAL.

  Specified by:
    `filter` in interface `Filter`
  Overrides:
    `filter` in class `AbstractFilter`
  Parameters:
    `logger` - the Logger.
    `level` - The logging Level.
    `marker` - The Marker, if any.
    `msg` - The message, if present.
    `t` - A throwable or null.
  Returns:
    The Result of filtering.

### filter

    public Filter.Result filter(LogEvent event)

  Description copied from class: `AbstractFilter`
  Context Filter method. The default returns NEUTRAL.

  Specified by:
    `filter` in interface `Filter`
  Overrides:
    `filter` in class `AbstractFilter`
  Parameters:
    `event` - The LogEvent.
  Returns:
    The Result of filtering.

### filter

    protected boolean filter(Map<String,String> data)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractFilter`

### isAnd

    protected boolean isAnd()

### getMap

    protected Map<String,List<String>> getMap()

### createFilter

    @PluginFactory
    public static MapFilter createFilter(@PluginElement(value="Pairs")
                                                       KeyValuePair[] pairs,
                                                       @PluginAttribute(value="operator")
                                                       String oper,
                                                       @PluginAttribute(value="onMatch")
                                                       Filter.Result match,
                                                       @PluginAttribute(value="onMismatch")
                                                       Filter.Result mismatch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.